{ ... }:
{
  # machine-id is used by systemd for the journal, if you don't
  # persist this file you won't be able to easily use journalctl to
  # look at journals for previous boots.
  environment.etc."machine-id".source = "/nix/persist/etc/machine-id";

  # if you want to run an openssh daemon, you may want to store the
  # host keys across reboots.
  #
  # For this to work you will need to create the directory yourself:
  # $ mkdir /nix/persist/etc/ssh
  environment.etc."ssh/id_ed25519".source = "/nix/persist/etc/ssh/id_ed25519";
  environment.etc."ssh/id_ed25519.pub".source = "/nix/persist/etc/ssh/id_ed25519.pub";

}
